<?php
# $Id: exporter.php,v 1.7 2003/03/04 14:20:16 kemuri Exp $

/*
 * Copyright (c) 2002 Ypsilon.Net AG, Germany
 *
 * This file is part of Nagat.
 * 
 * Nagat is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * Nagat is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Nagat; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

# Page variables
define("PAGE_ID","exporter");
define("PAGE_TITLE","Exporter");

require_once("local.inc");

$msg = NULL;
$errmsg = NULL;
if( !isset($action) ) $action = "";

# Export the objects
if( $action == "exportobjects" ) {
	if( $errmsg = PluginNagiosWriteObjects() ) {
		$errmsg .= "<br>Restart failed!<br><br>";
	} else {
		$msg = "Object export successful!";
	}

# Export the configuration
} else if( $action == "exportconfig" ) {

	$errors = array();
	foreach( $NAGIOS_CFGFILES as $fileid => $filename ) {
		if( $errmsg = PluginNagiosWriteConfig($fileid) ) {
			$errors[] = $errmsg;
		}
	}

	if( count($errors) > 0 ) {
		$errmsg = implode("<br>\n",$errors);
	} else {
		$msg = "Configuration export successful!";
	}

# Check the configuration
} else if ($action == "checkconfig") {
	header("Location: verify_cfg.php");
	exit();

# Check the configuration
} else if ($action == "restart") {
	if( $errmsg = PluginSendExtCommand('RESTART_PROCESS',time()+30) ) {
		$errmsg .= "<br>Restart failed!<br><br>";
	} else {
		$msg = "Restart successful";
	}
}

include_once(NGT_LIB."head.inc");

?>
<br><br><br>
<?if( !is_null($errmsg) ) ErrorMsg($errmsg)?>
<?if( !is_null($msg) ) print '<b>'.$msg.'</b>'?>
<table border="0">
<tr>
  <td>
  <form action="exporter.php" method="POST">
  <input type="submit" value="Export objects">
  <input type="hidden" name="action" value="exportobjects">
  </form>
  </td>
  <td>
  Save the objects (hosts,services,contacts,..) to Nagios
  </td>
</tr>

<tr>
  <td>
  <form action="exporter.php" method="POST">
  <input type="submit" value="Export configuration">
  <input type="hidden" name="action" value="exportconfig">
  </form>
  </td>
  <td>
  Save the configuration (nagios.cfg,CGI.cfg) to Nagios
  </td>
</tr>

<tr>
  <td>
  <form action="exporter.php" method="POST">
  <input type="submit" value="Check configuration">
  <input type="hidden" name="action" value="checkconfig">
  </form>
  </td>
  <td>
       Check the configuration (nagios -v nagios.cfg)
  </td>
</tr>

<tr>
  <td>
  <form action="exporter.php" method="POST">
  <input type="submit" value="Restart Nagios">
  <input type="hidden" name="action" value="restart">
  </form>
  </td>
  <td>
	Restart Nagios
  </td>
</tr>
</table>
<br><br><br>
<?php 
include_once(NGT_LIB."tail.inc");
?>
