<?php
# $Id: search.php,v 1.3 2003/03/04 14:20:20 kemuri Exp $

/*
 * Copyright (c) 2002 
 *
 * This file is part of Nagat.
 * 
 * Nagat is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * Nagat is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Nagat; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

# Page variables
define("PAGE_ID","search");
define("PAGE_TITLE","Search");
define("OBJECTTYPE", "host") ;
require_once("local.inc");
include_once(NGT_LIB."head.inc");


$objects = PluginGetObjects("host");
$servs = PluginGetObjects("service");

$services = array() ;

foreach($servs as $s_id => $serv_obj) {
	$s_name = $serv_obj["service_description"];
	$tab = explode(",",$serv_obj["host_name"]) ;
	$r = " <a href=serviceedit.php?objectid={$s_id}>$s_name</a>" ;
	foreach( $tab  as $h_id => $elt) {
		$services[$elt] .= $r ;
	} 
}

$rows = array() ;
if( is_array($objects) ) {
		foreach($objects as $key => $object) {
			$name = isset($object[OBJECTTYPE.'_name']) 
				? $object[OBJECTTYPE.'_name'] 
				: $object['name'];
			$alias = isset($object['alias']) 
				? $object['alias'] : '';
			$address = isset($object['address']) 
				? $object['address'] : '';
			if (preg_match ( "/$host/", $name)) {
				$rep = $services[$name] ;
				$rows[] = <<<HTML
<tr class="$alter">
  <td><a href="hostedit.php?objectid={$key}">{$name}</a></td>
  <td>{$alias}</td>
  <td>{$address}</td>
  <td>{$rep}</td>
</tr>
HTML;
			}
		}
}

?>
<table border="0" cellpadding="5" cellspacing="0">
<tr>
  <td colspan="6" align="left">
  <b><?php print ErrorMsg($errmsg)?>
  <?php print $message?>&nbsp;</b>
  </td>
  <td></td><td></td><td></td>
</tr>
<tr class="rowsep">
  <td>Name</td>
  <td>Alias</td>
  <td>IP or FQDN</td>
  <td>Services</td>
</tr>
<?php print implode("\n",$rows)?>
</table>


<?php 
include_once(NGT_LIB."tail.inc");


?>
