<?php
# $Id: services.php,v 1.11 2003/05/23 12:33:01 ricozz Exp $

/*
 * Copyright (c) 2002 Ypsilon.Net AG, Germany
 *
 * This file is part of Nagat.
 * 
 * Nagat is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * Nagat is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Nagat; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

# Page variables
define("PAGE_ID","services");
define("PAGE_TITLE","Services");
define("OBJECTTYPE","service");

require_once("local.inc");
include_once(NGT_LIB."head.inc");

$alter = '';
$rows = array();
$errmsg = '';
$message = '';
$objects = PluginGetObjects(OBJECTTYPE);

if( isset($objects) ) {
	if ($or == "ho") {
		$SORT_FIELD = "host_name";
		uasort($objects,"NagiosUasortObjectField");
	} else {
		uasort($objects,"NagiosUasortObjectService");
	}

	$count = 0;

	foreach($objects as $key => $object) {
		if( ($lt == 99999) || (($count >= $lt) && 
			($count < ($lt + MAXLIST)))) {

			$alter = ($alter != "alter1") ? "alter1" : "alter2";
			$name = !empty($object[OBJECTTYPE.'_description']) 
				? $object[OBJECTTYPE.'_description'] 
				: $object['name'];

			# Is this a inheritable object?
			if( !empty($object['name']) ) {
				$cntinh = NagiosCountInherited(OBJECTTYPE,
					$name);
				if( $cntinh != 0 ) {
					$inheritance = 'used by '.$cntinh.
						' objects';
				} 
			} else if( !empty($object['use']) ) {
				$inheritance = 'uses '.$object['use'];
			} else {
				$inheritance = '';
			}

			if( !empty($object['host_name']) ) {
				$hosts = $object['host_name'];
			} else {
				$hosts = '';
			}
			
			if( !empty($object['hostgroup_name']) ) {
				$hosts = $hosts . " " . $object['hostgroup_name'];
			} 
			
			if( isset($object['register']) && 
				$object['register'] == 0) {
				$registered = 'no';
			} else {
				$registered = '';
			}

			$rows[] = <<<HTML
<tr class="$alter">
  <td><a href="serviceedit.php?objectid={$key}">Edit</a></td>
  <td>{$name}</td>
  <td>{$hosts}</td>
  <td>{$inheritance}</td>
  <td align="center">$registered</td>
</tr>
HTML;

		} else if( $count == ($lt + MAXLIST) ) {
			break;
		}
	  $count++;
        } # foreach

} else {
        $message = "No '".OBJECTTYPE."'-objects found.";
}


?>
<table border="0" cellpadding="5" cellspacing="0">
<tr>
  <td colspan="5" align="left">
  <b><?=ErrorMsg($errmsg)?>
  <?=$message?>&nbsp;</b>
  </td>
</tr>
<tr>
  <td>
  <form action="serviceedit.php">
  <input type="submit" value="New">
  </form>
  </td>
  <td colspan="4" align="right">
  <?=LimitListLinks($lt,$count,$or,"services.php")?>
</td>
</tr>
<tr class="rowsep">
  <td>&nbsp;</td>
  <td><a href="services.php?or=">Name</a></td>
  <td><a href="services.php?or=ho">Host</a></td>
  <td>Inheritance</td>
  <td>Registered</td>
</tr>
<?=implode("\n",$rows)?>
<tr class="rowsep"><td colspan="5">&nbsp;</td></tr>
<tr>
  <td colspan="1">
  <form action="serviceedit.php">
  <input type="submit" value="New">
  </form>
  </td>
  <td colspan="4" align="right">
  <?=LimitListLinks($lt,$count,$or,"services.php")?>
  </td>
</tr>
</table>

<?
# Beautification
if( !is_array($objects) ) {
        print "<br><br><br><br><br><br><br><br>";
}
include_once(NGT_LIB."tail.inc");
?>
