<?php
# $Id: commands.php,v 1.7 2003/03/04 14:20:14 kemuri Exp $

/*
 * Copyright (c) 2002 Ypsilon.Net AG, Germany
 *
 * This file is part of Nagat.
 * 
 * Nagat is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * Nagat is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Nagat; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

# Page variables
define("PAGE_ID","commands");
define("PAGE_TITLE","Commands");
define("OBJECTTYPE","command");

require_once("local.inc");
include_once(NGT_LIB."head.inc");

$alter = '';
$rows = array();
$objects = PluginGetObjects(OBJECTTYPE);
$count = 0;
if ($lt == NULL) { $lt = 0; }


if( isset($objects) ) {
	uasort($objects,NagiosUasortObjectName);

	foreach($objects as $key => $object) {
		if( $lt == 99999 || (($count >= $lt)
			&& ($count < ($lt + MAXLIST))) ) {
			$alter = ($alter != "alter1") ? "alter1" : "alter2";

			$name = $object[OBJECTTYPE.'_name'];

			$rows[] = <<<HTML
<tr class="$alter">
  <td><a href="commandedit.php?objectid={$key}">Edit</a></td>
  <td>{$name}</td>
  <td>{$object['command_line']}</td>
</tr>
HTML;

		} else if ($count == ($lt + MAXLIST)) {
			break;
		}
	  $count++;
	} # foreach

} else {
	$message = "No '".OBJECTTYPE."'-objects found.";
}


?>
<table border="0" cellpadding="5" cellspacing="0">
<tr>
  <td colspan="3" align="left">
  <b><?php print ErrorMsg($errmsg)?>
  <?php print $message?>&nbsp;</b>
  </td>
</tr>
<tr>
  <td>
  <form action="commandedit.php">
  <input type="hidden" name="commandname" value="newobject">
  <input type="submit" value="New">
  </form>
  </td>
  <td colspan="2" align="right">
  <?php LimitListLinks($lt,$count,$or,"commands.php"); ?>
  </td>
</tr>
<tr class="rowsep">
  <td>&nbsp;</td>
  <td>Command Name</td>
  <td>Command Line</td>
</tr>
<?php print implode("\n",$rows)?>
<tr class="rowsep"><td colspan="3">&nbsp;</td></tr>
<tr>
  <td>
  <form action="commandedit.php">
  <input type="hidden" name="commandname" value="newobject">
  <input type="submit" value="New">
  </form>
  </td>
  <td colspan="2" align="right">
  <?php LimitListLinks($lt,$count,$or,"commands.php"); ?>
  </td>
</tr>
</table>

<?php 
# Beautification
if( !is_array($objects) ) {
        print "<br><br><br><br><br><br><br><br>";
}
include_once(NGT_LIB."tail.inc");
?>
