<?php
# $Id: verify_cfg.php,v 1.4 2003/03/04 14:20:22 kemuri Exp $
/*
 * Copyright (c) 2002 Ypsilon.Net AG, Germany
 *
 * This file is part of Nagat.
 *
 * Nagat is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Nagat is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Nagat; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * This file is an addon made by Mats Kling <mats (at) kling.nu> 021009
 *
 * It uses Nagios to verify the configfiles.
 *
 * Errorcollections are for cowards ;)
 *
 */

# Page variables
define("PAGE_ID","verify_cfg");
define("PAGE_TITLE","Verify Nagios Configuation");

require_once("local.inc");
include_once(NGT_LIB."head.inc");

$str = NAGIOS_BIN."nagios -v ".NAGIOS_ETC."nagios.cfg";
list($exitcode,$outputarr) = PluginCheckConfig();

# Error when the command couldn't be executed
if( $exitcode > 0 ) {
	print "<br><br><b>Error executing '$str' (exit code: $exitcode)!</b><br><br>";
} else {
	$output = implode("\n",$outputarr);
?>
<br><br>
<b>Configuration is ok!</b>
<pre>
<?php print $output?>
</pre>
<?php 
}

include_once(NGT_LIB."tail.inc");
?>

